GemFireCheckedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: GemFireCheckedException

Package org.apache.geode

# Class GemFireCheckedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.geode.GemFireCheckedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AdminException`, `LuceneQueryException`, `QueryException`, `VersionException`

public abstract class GemFireCheckedException extends Exception
This is the abstract superclass of exceptions that are thrown and declared.

This class ought to be called GemFireException, but that name is reserved for an older class that extends `RuntimeException`.

Since:
  GemFire 5.1
See Also:
  - `GemFireException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GemFireCheckedException()`
  Creates a new `GemFireException` with no detailed message.
  `GemFireCheckedException(String message)`
  Creates a new `GemFireCheckedException` with the given detail message.
  `GemFireCheckedException(String message, Throwable cause)`
  Creates a new `GemFireException` with the given detail message and cause.
  `GemFireCheckedException(Throwable cause)`
  Creates a new `GemFireCheckedException` with the given cause and no detail message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getRootCause()`
  Returns the root cause of this `GemFireCheckedException` or `null` if the cause is nonexistent or unknown.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GemFireCheckedException

    public GemFireCheckedException()
    Creates a new `GemFireException` with no detailed message.

  - ### GemFireCheckedException

    public GemFireCheckedException(String message)
    Creates a new `GemFireCheckedException` with the given detail message.
    Parameters:
      `message` - the detail message

  - ### GemFireCheckedException

    public GemFireCheckedException(String message, Throwable cause)
    Creates a new `GemFireException` with the given detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause

  - ### GemFireCheckedException

    public GemFireCheckedException(Throwable cause)
    Creates a new `GemFireCheckedException` with the given cause and no detail message
    Parameters:
      `cause` - the cause

- ## Method Details

  - ### getRootCause

    public Throwable getRootCause()
    Returns the root cause of this `GemFireCheckedException` or `null` if the cause is nonexistent or unknown.
    Returns:
      the root cause of this `GemFireCheckedException`